Menu

- Learn
- Documentation
  - Language Reference
  - Library Reference
  - Command-line Reference
  - Feature Overview
  - Articles
- Downloads
- Packages
- Community
  - Blog
  - Orgs using D
  - Twitter
  - Calendar
  - Forums
  - IRC
  - Community Discord
  - Wiki
  - GitHub
  - Issues
  - Get involved
  - Contributors
  - Foundation
  - Security Team
  - Donate
  - Sponsors
- Resources
  - Tour
  - Books
  - Tutorials
  - Tools
  - Editors
  - IDEs
  - run.dlang.io
  - Visual D
  - Acknowledgments
  - D Style
  - Glossary
  - Sitemap

Search
Report a bug
If you spot a problem with this page, click here to create a Bugzilla issue.
Improve this page
Quickly fork, edit online, and submit a pull request for this page. Requires a signed-in GitHub account. This works well for small changes. If you'd like to make larger changes you may want to consider using a local clone.

# std.windows.charset

Support UTF-8 on Windows 95, 98 and ME systems.
License:
Boost License 1.0.
Authors:
Walter Bright

const(char)* `toMBSz`(scope const(char)[] `s`, uint `codePage` = 0);
  Converts the UTF-8 string s into a null-terminated string in a Windows 8-bit character set.
  Parameters:

  const(char)[] `s` | UTF-8 string to convert.
  uint `codePage` | is the number of the target codepage, or 0 - ANSI, 1 - OEM, 2 - Mac

  Authors:
  yaneurao, Walter Bright, Stewart Gordon
string `fromMBSz`(immutable(char)* `s`, int `codePage` = 0);
  Converts the null-terminated string s from a Windows 8-bit character set into a UTF-8 char array.
  Parameters:

  immutable(char)* `s` | UTF-8 string to convert.
  int `codePage` | is the number of the source codepage, or 0 - ANSI, 1 - OEM, 2 - Mac

  Authors:
  Stewart Gordon, Walter Bright

Copyright © 1999-2022 by the D Language Foundation | Page generated by Ddoc on Thu Dec 15 17:31:00 2022